<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("ur" . "l" => base64_decode("d" . "X" . "J" . "s"), "_b93155ab5708" . "22d94f80f2b49" . "acbdcde" => base64_decode("dXJsZGVjb" . "2Rl"), "_a62d761f3e831ff9d9da3" . "9f9c26ecddc" => base64_decode("Li4vY29tbW9uL2Nv" . "cmUucGhw"), "_0c5123aa744f69bbc0e" . "8b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "messag" . "e" => base64_decode("bWVzc2FnZQ=" . "="), "ti" . "tl" . "e" => base64_decode("dGl" . "0bG" . "U="), "_4c510e5adc7368560eb3" . "dd6ed429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2" . "Nlc3NfcmVzcG9uc2Uu" . "cGhw"), "_fe2579cea63" . "0be3ef73ecaa" . "47a26a59f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va21hcmtfYWRk" . "ZWQ="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a62d761f3e831ff9d9da39f9" . "c26ecddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_b93155ab570822d" . "94f80f2b49acbdcd" . "e"](gpc::get($request, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["ur" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_b93155ab" . "570822d94" . "f80f2b49a" . "cbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["titl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_fe2579cea63" . "0be3ef73ecaa" . "47a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["messa" . "ge"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4c510e5ad" . "c7368560eb" . "3dd6ed429e" . "5c5"];